org.apache.hive.jdbc.logs

## Class InPlaceUpdateStream.EventNotifier

- java.lang.Object
- - org.apache.hive.jdbc.logs.InPlaceUpdateStream.EventNotifier

Enclosing interface:
  InPlaceUpdateStream

    public static class InPlaceUpdateStream.EventNotifier
    extends Object

### Field Summary

Fields
`static org.slf4j.Logger` `LOG`

### Constructor Summary

Constructors
Constructor and Description
`EventNotifier()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `canOutputOperationLogs()`
`boolean` `isOperationLogUpdatedAtLeastOnce()`
`void` `operationLogShowedToUser()`
`void` `progressBarCompleted()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### LOG

    public static final org.slf4j.Logger LOG

### Constructor Detail

#### EventNotifier

    public EventNotifier()

### Method Detail

#### progressBarCompleted

    public void progressBarCompleted()

#### operationLogShowedToUser

    public void operationLogShowedToUser()

#### isOperationLogUpdatedAtLeastOnce

    public boolean isOperationLogUpdatedAtLeastOnce()

#### canOutputOperationLogs

    public boolean canOutputOperationLogs()